{
	"version": "2.0.0",
	"tasks": [
		{
			"label": "Build M2 Release",
			"type": "process",
			"command": "bash",
			"args": ["-c", ". sys/export.sh && make -e MODEL=M2 release"],
			"windows": {
				"command": "C:/Windows/System32/cmd.exe",
				"args": ["/c call sys/export.bat && make -e MODEL=M2 release"]
			},
			"osx": {
				"type": "shell"
			},
			"icon": {"id": "tools", "color": "terminal.ansiGreen"},
			"options": {
				"cwd": "${workspaceRoot}"
			},
			"group": {
				"kind": "build",
				"isDefault": true
			},
			"problemMatcher": [
				"$gcc"
			]
		},
		{
			"label": "Build M3 Release",
			"type": "process",
			"command": "bash",
			"args": ["-c", ". sys/export.sh && make -e MODEL=M3 release"],
			"windows": {
				"command": "C:/Windows/System32/cmd.exe",
				"args": ["/c call sys/export.bat && make -e MODEL=M3 release"]
			},
			"osx": {
				"type": "shell"
			},
			"icon": {"id": "tools", "color": "terminal.ansiGreen"},
			"options": {
				"cwd": "${workspaceRoot}"
			},
			"group": {
				"kind": "build",
				"isDefault": true
			},
			"problemMatcher": [
				"$gcc"
			]
		},
		{
			"label": "Build M2 Debug",
			"type": "process",
			"command": "bash",
			"args": ["-c", ". sys/export.sh && make -e MODEL=M2 debug"],
			"windows": {
				"command": "C:/Windows/System32/cmd.exe",
				"args": ["/c call sys/export.bat && make -e MODEL=M2 debug"]
			},
			"osx": {
				"type": "shell"
			},
			"icon": {"id": "tools", "color": "terminal.ansiGreen"},
			"options": {
				"cwd": "${workspaceRoot}"
			},
			"group": {
				"kind": "build",
				"isDefault": true
			},
			"problemMatcher": [
				"$gcc"
			]
		},
		{
			"label": "Build M3 Debug",
			"type": "process",
			"command": "bash",
			"args": ["-c", ". sys/export.sh && make -e MODEL=M3 debug"],
			"windows": {
				"command": "C:/Windows/System32/cmd.exe",
				"args": ["/c call sys/export.bat && make -e MODEL=M3 debug"]
			},
			"osx": {
				"type": "shell"
			},
			"icon": {"id": "tools", "color": "terminal.ansiGreen"},
			"options": {
				"cwd": "${workspaceRoot}"
			},
			"group": {
				"kind": "build",
				"isDefault": true
			},
			"problemMatcher": [
				"$gcc"
			]
		},
		{
			"label": "Clean",
			"type": "process",
			"command": "bash",
			"args": ["-c", ". sys/export.sh && rm -rf build"],
			"windows": {
				"command": "C:/Windows/System32/cmd.exe",
				"args": ["/c call sys/export.bat && rm -rf build"]
			},
			"osx": {
				"type": "shell"
			},
			"icon": {"id": "tools", "color": "terminal.ansiGreen"},
			"options": {
				"cwd": "${workspaceRoot}"
			},
			"group": {
				"kind": "build",
				"isDefault": true
			},
			"problemMatcher": [
				"$gcc"
			]
		}
	]
}